Subject: bug#31274: 27.0.50; xdisp.c:7575: Emacs fatal error: assertion failed: IT_BYTEPOS (*it) == CHAR_TO_BYTE (IT_CHARPOS (*it))

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 May 2018 15:50:29 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Fri, 04 May 2018 06:35:22 -0400
> Cc: [email-masked]
> 
> >     % src/emacs -Q /usr/bin/perl -l .../elpa/packages/nhexl-mode/nhexl-mode.el -f nhexl-mode --eval '(setq word-wrap t)'
> >     y
> >     M->
> >
> > The `y` is because nhexl-mode prompts the user to convert the buffer
> > to unibyte and is not directly relevant: you can use find-file-literally
> > instead and the result is the same.
> 
> I couldn't reproduce the assert failure, and I didn't get the unibyte
> prompt either.

I think the unibyte prompt may or may not be seen, it depends on
whether Emacs succeeds to decide the file is a binary file, and uses
unibyte to begin with.  And whether it decides that depends on the
contents of the file, so it could well be that you don't see it
(neither did I, FWIW).

Or maybe this is the sign of something special that happens on
Stefan's system, like local changes perhaps?

In any case, we need either a reproducer or a detailed backtrace to
make any progress with this bug.

Thanks.